"use strict";
(function($) {
    $(".prop_use_0").on('change init', function() {
        if($(this).prop('checked')) {
            var checked = $(".prop_use_0:checked").val();
            if (checked == 1) {
                $('._simpleOption_pc').hide();
                $('._detailOption_pc').show();
            } else {
                $('._simpleOption_pc').show();
                $('._detailOption_pc').hide();
            }
        }
    }).trigger('init');

    $(".prop_use_1").on('change init', function() {
        if($(this).prop('checked')) {
            var checked = $(".prop_use_1:checked").val();
            if (checked == 1) {
                $('._simpleOption_sp').hide();
                $('._detailOption_sp').show();
            } else {
                $('._simpleOption_sp').show();
                $('._detailOption_sp').hide();
            }
        }
    }).trigger('init');

    /**
     * 各設定画面内のPC/SP切り替え
     */
    var showSettingDevice = function(type, device) {
        if (device == 'pc') {
            type.find('.viewpc').show();
            type.find('.viewsp').hide();
        } else if (device == 'sp') {
            type.find('.viewpc').hide();
            type.find('.viewsp').show();
        }
    }

    $('.deviceTabMenu a').off('click').on('click', function(e) {
        if ($(this).hasClass('active')) {
            return;
        }

        var prefix = $(this).data('prefix');
        var p = $(document);
        var d = $(this).data('device');
        if (prefix) {
            p = $(this).parents('[id^=' + prefix + ']');
        }
        showSettingDevice(p, d);

        p.find('.deviceTabMenu a').removeClass('active hover');
        $(this).addClass('active');

        e.preventDefault();
        e.stopPropagation();
    });

    $('[name=unit_sync]').on('change init', function(e) {
        if($(this).prop('checked')) {
            var sync = $('[name=unit_sync]:checked').val() == 1;
            var bool=true;

            if(sync) {
                if(e.type != 'init') {
                    bool = confirm("リンク状態で保存を行うとSPの設定はPCの設定で上書きされますが宜しいですか");
                }
                if(bool) {
                    $('.deviceTabMenu a:eq(0)').trigger('click');
                    $('.deviceTabMenu a:eq(0) span').html('PC・Tablet・SP');
                    $('.deviceTabMenu li:eq(1)').hide();

                    $('.pc2sp').hide();
                    $('.pc2sp').find('input[type=checkbox]').prop('checked', false);
                } else {
                    $('[name=unit_sync][value=0]').prop('checked', true);
                }
            } else {
                $('.deviceTabMenu a:eq(0) span').text('PC・Tablet');
                $('.deviceTabMenu li:eq(1)').show();

                $('.pc2sp').show();
                $('.pc2sp').find('input[type=checkbox]').prop('checked', true);
                if(e.type=="init" && viewmode == "sp") {
                    $('.pc2sp').find('input[type=checkbox]').prop('checked', false);
                }
            }
        }
    }).trigger('init');
})(jQuery);

/**
 * ユニット独自JS
 */
(function($){
    $(".filter").on('click init', function(e){
        var code = $("[name=filter]:checked").val();
        $('[data-group]').next().hide();
        $('[data-group=\''+code+'\']').next().show();
        $('[data-group^=\''+code+',\']').next().show();
        $('[data-group$=\','+code+'\']').next().show();
        $('[data-group*=\','+code+',\']').next().show();
        if(e.type=="init") {
            $('.partsBoxToggle').show();
        }
    }).trigger('init');

    $(".filtersp").on('click init', function(e){
        var code = $("[name=filtersp]:checked").val();
        $('[data-groupsp]').next().hide();
        $('[data-groupsp=\''+code+'\']').next().show();
        $('[data-groupsp^=\''+code+',\']').next().show();
        $('[data-groupsp$=\','+code+'\']').next().show();
        $('[data-groupsp*=\','+code+',\']').next().show();

        if(e.type=="init") {
            $('.partsBoxToggle').show();
        }
    }).trigger('init');
})(jQuery);
